#include <common/cbdatahk.hpp>

CallbackDataHook::CallbackDataHook(void)
: mHookReturnCode((CallbackData::ReturnType)FALSE)
{
}

CallbackDataHook::CallbackDataHook(const CallbackDataHook &someCallbackDataHook)
{
	*this=someCallbackDataHook;
}

CallbackDataHook::CallbackDataHook(const CallbackData &someCallbackData)
: mHookReturnCode((CallbackData::ReturnType)FALSE), CallbackData(someCallbackData)
{
}

CallbackDataHook::CallbackDataHook(WPARAM wParam,LPARAM lParam,HWND hWndFrom)
: mHookReturnCode((CallbackData::ReturnType)FALSE), CallbackData(wParam,lParam,hWndFrom)
{
}

CallbackDataHook::~CallbackDataHook()
{
}

CallbackDataHook &CallbackDataHook::operator=(const CallbackDataHook &someCallbackDataHook)
{
	(CallbackData&)*this=(CallbackData&)someCallbackDataHook;
	hookReturnCode(someCallbackDataHook.hookReturnCode());
	return *this;
}

CallbackData::ReturnType CallbackDataHook::hookReturnCode(void)const
{
	return mHookReturnCode;
}

void CallbackDataHook::hookReturnCode(CallbackData::ReturnType hookReturnCode)
{
	mHookReturnCode=hookReturnCode;
}
